/* global casestudies_scroller_options */

(function ($) {
    


    $(document).ready(function () {
       
       // feedback_scroller_options defined here.
      //wp_localize_script('scroller', 'feedback_scroller_options', $options);

      var l_app = {
            options: {
                'wrap': 'circular',
                'vertical': false,
                'animation': {'duration': 900, 'easing': 'linear'}
            }
        };
        
        var p_app = {
            options: {
                'wrap': 'circular',
                'vertical': true,
                'animation': {'duration': 900, 'easing': 'linear'}
            }
        };
        
        
        /*
        var jcarousel_autoscroll = {
          'interval': 2000,
          'target': '+=1',
          'autostart':true
      };
*/
        
        $('.remsto-scroller.casestudy-landscape-carousel-items')
        .on('jcarousel:reload jcarousel:create', function () {
            var carousel_element = $(this);
            var available_width = carousel_element.innerWidth();
            var width = available_width / carousel_element.data('items');
            // Set item width based on available size.
            carousel_element.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(l_app.options)
        .jcarouselAutoscroll(casestudies_scroller_options.jcarousel_autoscroll);


        $('.remsto-scroller.casestudy-portrait-carousel-items')
        .on('jcarousel:reload jcarousel:create', function () {
            var carousel_element = $(this);
            var available_height = carousel_element.innerHeight();
            var height = available_height / $(this).data('items');
            // Set item width based on available size.
            carousel_element.jcarousel('items').css('height', Math.ceil(height) + 'px');
        })
        .jcarousel(p_app.options)
        .jcarouselAutoscroll(casestudies_scroller_options.jcarousel_autoscroll);


        $('.remsto-static.casestudy-portrait-carousel-items ul > li').each(function(i) {
            var available_height = $(this).innerHeight();
            var height = available_height / $(this).data('items');
            // Set item height based on available size.
            $(this).find('li').css('height', Math.ceil(height) + 'px');
        });
        
        $('.remsto-static.casestudy-landscape-carousel-items ul >li').each(function(i) {
            var available_width = $(this).innerWidth();
            var width = available_width / $(this).data('items');
            // Set item width based on available size.
            $(this).find('li').css('width', Math.ceil(width) + 'px');
        });

    });

})(jQuery);



