(function ($) {

    $(document).ready(function () {

        var form_validate = {
            errors: false
        };

        if ($('#edit-anonymous').is(':checked')) {
            $('#edit-your-details-group').hide();
        }

        $('#edit-anonymous').on('change', null, function (ev) {
            if ($('#edit-anonymous').is(':checked')) {
                $('#edit-your-details-group').hide();
            } else {
                $('#edit-your-details-group').show();
            }
        });


        $('#remsto-client-feedback-leave-feedback-form').on('submit', null, function (ev) {
            return form_validate.validate(ev);
        });

        form_validate.validate = function (ev) {
            console.log("testing form");
            $('.error-msg ul').empty();
            form_validate.errors = false;
            $('#remsto-client-feedback-leave-feedback-form').removeClass('form-error');

            if ($('#edit-stood-out').val() === '') {
                form_validate.test_data_entered('edit-stood-out', 'Stood out is a required field');
            }

            if (!$('#edit-anonymous').is(':checked')) {
                form_validate.test_data_entered('edit-first-name', 'First name required');
                form_validate.test_data_entered('edit-last-name', 'Last name required');
                form_validate.test_data_entered('edit-email', 'E-mail required');
                
            }

            if (form_validate.errors) {
                ev.preventDefault();
                return false;
            }
        };
        
        form_validate.test_data_entered = function (id, msg) {
            if ($('#' + id).val() === '') {
                form_validate.errors = true;
                $('.error-msg ul').append('<li>' + msg + '</li>');
                $('#' + id).addClass('form-error');
            }
        };


    });

})(jQuery);
