
<div id="remsto-client-case-study--view-page">
	<article class="row case-study-article">
		<header>
			<h1><?php if ( isset( $vars['title'] ) ) { print $vars['title']; } ?></h1>
		</header>
		
		<section class="section-header top">
			<div class="row row-one">
				<div class="field-wrapper field-type-textarea field-description">
					<div class="label">Description:</div>
					<div class="content">
						<?php if ( isset( $vars['description'] ) ) { print $vars['description']; } ?>
					</div>
				</div>
			</div>

			<div class="row row-two">
				<div class="col col-one">
					<div class="field-wrapper field-client">
						<div class="label">Supplier:</div>
						<div class="content">
							<?php if ( isset( $vars['author'] ) ) { print $vars['author']; } ?>
						</div>
					</div>
				</div>

				<div class="col col-two">
					<?php if ( isset( $vars['supplier'] ) ) { print $vars['supplier']; } ?>
				</div>

			</div>

			<div class="row row-three">
				<div class="col col-one">
					<?php if ( isset( $vars['customer_logo'] ) ) { print $vars['customer_logo']; } ?>
				</div>

				<div class="col col-two">
					<?php if ( isset( $vars['company_name_section'] ) ) { print $vars['company_name_section']; } ?>
					<?php if ( isset( $vars['telephone'] ) ) { print $vars['telephone']; } ?>
				</div>

				<div class="col col-three">
					<?php if ( isset( $vars['website'] ) ) { print $vars['website']; } ?>
					<?php if ( isset( $vars['email'] ) ) { print $vars['email']; } ?>
				</div>
			</div>
		</section>


		<section class="section-descriptions">

			<?php if ( isset( $vars['about_section'] ) ) { print $vars['about_section']; } ?>
			<?php if ( isset( $vars['problem_section'] ) ) { print $vars['problem_section']; } ?>
			<?php if ( isset( $vars['solution_section'] ) ) { print $vars['solution_section']; } ?>
			<?php if ( isset( $vars['services_section'] ) ) { print $vars['services_section']; } ?>
			<?php if ( isset( $vars['recommendation_section'] ) ) { print $vars['recommendation_section']; } ?>

		</section>


		<section class="section-customer">
			<div class="col col-one">
				<div class="field-wrapper field-customer-name">
					<div class="label">Name:</div>
					<div class="content"><?php if ( isset( $vars['first_name'] ) ) { print $vars['first_name']; } ?> <?php if ( isset( $vars['last_name'] ) ) { print $vars['last_name']; } ?></div>
				</div>
				<?php if ( isset( $vars['position'] ) ) { print $vars['position']; } ?>
				<?php if ( isset( $vars['sector'] ) ) { print $vars['sector']; } ?>
				<?php if ( isset( $vars['company_name_section'] ) ) { print $vars['company_name_section']; } ?>
				<?php if ( isset( $vars['town'] ) ) { print $vars['town']; } ?>
				<div class="field-wrapper field-customer-created-date">
					<div class="label">Date:</div>
					<div class="content"><?php if ( isset( $vars['created_date'] ) ) { print $vars['created_date']; } ?></div>
				</div>
			</div>

			<div class="col col-two">
				<div class="field-wrapper field-customer-website">
					<div class="content">
						<div class="icon-website">
							<?php if ( isset( $vars['website'] ) ) { print $vars['website']; } ?>
						</div>
					</div>
				</div>
				<?php if ( isset( $vars['rating_summary'] ) ) { print $vars['rating_summary']; } ?>
			</div>	
		</section>
	</article>
</div>
