/* global tabs_settings */

(function ($) {

    $(document).ready(function () {
          
        // Case study show/hide
        $('.case-study-article').hide();
        $('.btn-show-toggle').on('click', null, function(ev) {
            var id = $(ev.target).attr('data-id');
            $('.case-study-article[data-id=' + id + ']').toggle();
        });
        
        // Case study show/hide
        $('.tpp-video-testimonial').hide();
        $('.btn-show-video-toggle').on('click', null, function(ev) {
            var id = $(ev.target).attr('data-id');
            $('.tpp-video-testimonial[data-id=' + id + ']').toggle();
            //$('#tpp-video-testimonial-' + id).toggle();
        });
        
        
        var tab_info = tabs_settings.tab;
        if (typeof tab_info !== 'undefined' && tab_info === '1') {
            $('li[data-page="page_promoted"]').removeClass('tab-selected');
            $('li[data-page="page_feedback"]').addClass('tab-selected');
            $('#page_promoted').hide();
            $('#page_feedback').show();
        }
        else {
            $('li[data-page="page_promoted"]').addClass('tab-selected');
            $('li[data-page="page_feedback"]').removeClass('tab-selected');
            $('#page_feedback').hide();
            $('#page_promoted').show(); 
        }

        $('.remtso-tab').on('click', null, function (ev) {
            $('#page_promoted').hide();
            $('#page_feedback').hide();
            var hr = $(ev.target).attr('data-page');
            $('.remtso-tabs li').removeClass('tab-selected');
            $(ev.target).addClass('tab-selected');
            $('#' + hr).show();
        });


    });

})(jQuery);
